var nG = {

	user: "",
	settingsObj: null,
	containerFolder : null,
	containerBreadcrumb : null,
	path2timthumb : "",
	tW : 230,
	tH : 154,
	thumbSize : 64,
	thumbAvailableSizes : new Array(32, 48, 64, 72, 94, 104, 110, 128, 144, 150, 160, 200, 220, 288, 320, 400, 512, 576, 640, 720, 800, 912, 1024, 1152, 1280, 1440, 1600),
	displayCaption : true,
	itemInfo : new Array(),
	
	
	Initiate : function(elementID, params, instance) {
	
		if( params.thumbnailHeight !== undefined ) { nG.tH=params.thumbnailHeight; }
		if( params.thumbnailWidth !== undefined ) { nG.tW=params.thumbnailWidth; }
		if( params.displayCaption !== undefined ) { nG.displayCaption=params.displayCaption; }

		nG.containerBreadcrumb =jQuery('<div id="nanoGalleryBreadcrumb"></div>').appendTo('#'+elementID);
		nG.containerFolder =jQuery('<div id="nanoGalleryContainer"></div>').appendTo('#'+elementID);
		nG.path2timthumb = ""; //timthumbFolder;

		
		if( nG.tW > nG.tH ) {
			si=nG.tW;
		}
		else {
			si=nG.tH;
		}

		for( i=0; i<nG.thumbAvailableSizes.length; i++) {
			nG.thumbSize=nG.thumbAvailableSizes[i];
			if( si < nG.thumbAvailableSizes[i] ) {
				break;
			}
		}
		
		//nG.LoadCollection(baseFolder, 'Home');
	
		nG.user = params.userID;
		nG.GetItems('','Home');
	},
	
	
	GetItems : function ( itemID, albumLabel ) {
		jQuery(nG.containerFolder).children().remove();

		if( itemID == '' ) {
			var url = 'http://picasaweb.google.com/data/feed/api/user/'+nG.user+'?alt=json&kind=album&thumbsize='+nG.thumbSize;
			kind='album';
		}
		else {
			var url = 'http://picasaweb.google.com/data/feed/api/user/'+nG.user+'/albumid/'+itemID+'?alt=json&kind=photo&thumbsize='+nG.thumbSize+'&imgmax=d';
			kind='photo';
		}

		// breadcrumb
		if( albumLabel != "" ) {
			if( jQuery(nG.containerBreadcrumb).children().length > 0 ) {
				jQuery('<div class="separator">&nbsp;>&nbsp;</div>').appendTo(nG.containerBreadcrumb);
			}
			var newDiv =jQuery('<div class="folder">'+albumLabel+'</div>').appendTo(nG.containerBreadcrumb);
			jQuery(newDiv).data("path",itemID);
			newDiv.click(function() {
				var folder=jQuery(this).data("path");
				jQuery(this).nextAll().remove();
				nG.GetItems(folder,'');
			});;
		}

		
		
		// get the content and display it
		jQuery.ajaxSetup({ cache: false });
		jQuery.getJSON(url, function(data) {
			nG.settingsObj = data;
			nG.itemInfo=new Array();
			
			jQuery.each(data.feed.entry, function(i,data){
				//Get the title 
				itemTitle = data.media$group.media$title.$t;
				//Get the URL of the thumbnail
				itemThumbURL = data.media$group.media$thumbnail[0].url;
				//Get the ID 
				itemID = data.id.$t;
				itemID = itemID.split('/')[9].split('?')[0];
				//Get the description
				itemDescription = data.media$group.media$description.$t;
				imgUrl=data.media$group.media$content[0].url
				itemKind=kind;

				var newDiv =jQuery('<div class="container"></div>').appendTo(nG.containerFolder);
				jQuery(newDiv).append('<div class="imgcont"><img class="image" src="'+itemThumbURL+'"></div>');
				if( kind == 'album' ) {
					jQuery(newDiv).append('<div class="labelFolder">'+itemTitle+'</div>');
					nG.itemInfo[i]=new Array(itemTitle, itemThumbURL, itemID, itemDescription,itemKind);
				}
				else {
					var s=itemDescription;
					if( s.length == 0 || nG.displayCaption == false ) { s=i+1; }
					jQuery(newDiv).append('<div class="labelImage">'+s+'</div>');
					nG.itemInfo[i]=new Array(itemTitle, itemThumbURL, imgUrl, itemDescription, itemKind);
				}

				jQuery(newDiv).hover(
					function() { jQuery(this).stop().animate({"borderBottomColor": "#888","borderTopColor": "#888","borderLeftColor": "#aaa","borderRightColor": "#888"}, "fast"); },
					function() { jQuery(this).stop().animate({"borderBottomColor": "#000","borderTopColor": "#000","borderLeftColor": "#000","borderRightColor": "#000"}, "fast"); }
				);

				jQuery(newDiv).data("index",i);
				newDiv.click(function() {
					var n=jQuery(this).data("index");
					if( nG.itemInfo[n][4] == 'album' ) {
						//alert(nG.itemInfo[i][2]);
						nG.GetItems(nG.itemInfo[i][2],nG.itemInfo[i][0]);
					}
					else {
						var lstImages=new Array();
						lstImages[0]=nG.itemInfo[n][2];
						//alert(nG.itemInfo[n][2]);
						for( var j=n+1; j<nG.itemInfo.length; j++) {
							lstImages[lstImages.length]=nG.itemInfo[j][2];
						}
						for( var j=0; j<n; j++) {
							lstImages[lstImages.length]=nG.itemInfo[j][2];
						}
						//jQuery("body").css("overflow","hidden");
						jQuery.fancybox.open(lstImages,{'autoPlay':false, 'nextEffect':'fade', 'prevEffect':'fade','scrolling':'no',
							helpers		: {	buttons	: { 'position' : 'bottom'} }
						});
						//jQuery("body").css("overflow","auto");
					}
				});
			});
			jQuery(nG.containerFolder).find('.imgcont').css('width',nG.tW);
			jQuery(nG.containerFolder).find('.imgcont').css('height',nG.tH);
			jQuery(nG.containerFolder).find('img').css('maxWidth',nG.tW);
			jQuery(nG.containerFolder).find('img').css('maxHeight',nG.tH);

		});		
				
				
				
	}	

		

}